error when running RVIZ on Raspibian Buster

asked 2020-03-11 19:28:07 -0500

mateusguilherme gravatar image

Hi

after a lot of effort I finally managed to install the kinetic ros on the raspberry pi 4 with raspbian buster. However when I try to execute the command:

rosrun rviz rviz

I get the following message:

qt5ct: using qt5ct plugin
[INFO] [1583972304.931154705]: rviz version 1.12.17
[INFO] [1583972304.931364647]: compiled against Qt version 5.11.3
[INFO] [1583972304.931403610]: compiled against OGRE version 1.9.0 (Ghadamon)
segmentation fault

any suggestion?

edit retag flag offensive close merge delete

Comments

RViz is an OpenGL intenstive 3D graphics application. I'd suggest to make sure your drivers/OpenGL infrastructure are/is working.

You could also try running rviz in gdb to see where the SEGFAULT is happening.

gvdhoorn gravatar image gvdhoorn  ( 2020-03-12 02:17:26 -0500 )edit